package com.ss.android.ugc.aweme.app;

import X.FKe;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class AwemeApplicationServiceImpl implements IAwemeApplicationService {
    static {
        Covode.recordClassIndex(53073);
    }

    public final boolean LIZ() {
        return FKe.LIZ().LIZ.LIZIZ;
    }

    public final boolean LIZIZ() {
        return FKe.LIZ().LIZ.LIZ();
    }

    public static IAwemeApplicationService LIZJ() {
        MethodCollector.i(2910);
        IAwemeApplicationService iAwemeApplicationService = (IAwemeApplicationService) Lnj.LIZ(IAwemeApplicationService.class, false);
        if (iAwemeApplicationService != null) {
            MethodCollector.o(2910);
            return iAwemeApplicationService;
        }
        Object LIZIZ = Lnj.LIZIZ(IAwemeApplicationService.class, false);
        if (LIZIZ != null) {
            IAwemeApplicationService iAwemeApplicationService2 = (IAwemeApplicationService) LIZIZ;
            MethodCollector.o(2910);
            return iAwemeApplicationService2;
        }
        if (Lnj.LJJJJ == null) {
            synchronized (IAwemeApplicationService.class) {
                try {
                    if (Lnj.LJJJJ == null) {
                        Lnj.LJJJJ = new AwemeApplicationServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(2910);
                    throw th;
                }
            }
        }
        AwemeApplicationServiceImpl awemeApplicationServiceImpl = (AwemeApplicationServiceImpl) Lnj.LJJJJ;
        MethodCollector.o(2910);
        return awemeApplicationServiceImpl;
    }
}
